Bug 1224523 - [abrt] cinnamon-settings-daemon: g_settings_schema_get_value(): cinnamon-settings-daemon killed by SIGTRAP
Summary: [abrt] cinnamon-settings-daemon: g_settings_schema_get_value(): cinnamon-sett...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-settings-daemon
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15166c1c04c7636a1de4e02532b...
Keywords:
: 1226037 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-24 01:15 UTC by leandercarey
Modified: 2015-06-06 00:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-05 23:48:22 UTC


Attachments (Terms of Use)
File: backtrace (38.75 KB, text/plain)
2015-05-24 01:15 UTC, leandercarey
no flags Details
File: cgroup (181 bytes, text/plain)
2015-05-24 01:15 UTC, leandercarey
no flags Details
File: core_backtrace (12.92 KB, text/plain)
2015-05-24 01:15 UTC, leandercarey
no flags Details
File: dso_list (16.04 KB, text/plain)
2015-05-24 01:15 UTC, leandercarey
no flags Details
File: environ (1.26 KB, text/plain)
2015-05-24 01:15 UTC, leandercarey
no flags Details
File: limits (1.29 KB, text/plain)
2015-05-24 01:15 UTC, leandercarey
no flags Details
File: maps (91.34 KB, text/plain)
2015-05-24 01:16 UTC, leandercarey
no flags Details
File: open_fds (3.41 KB, text/plain)
2015-05-24 01:16 UTC, leandercarey
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2015-05-24 01:16 UTC, leandercarey
no flags Details

Description leandercarey 2015-05-24 01:15:31 UTC
Description of problem:
I had just clicked to open an external USB flash drive in my cell phone (MTP). A couple minutes before, the same process worked perfectly well. This last time, it had the crash right after opening a file manager window. Windows lost their theme color, turning a simple white with black (or gray-ish, system styled) text. 

Version-Release number of selected component:
cinnamon-settings-daemon-2.6.0-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/cinnamon-settings-daemon
crash_function: g_settings_schema_get_value
executable:     /usr/libexec/cinnamon-settings-daemon
kernel:         3.19.8-100.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Tue 2015-02-24 09:23:56 CST, end at Sat 2015-05-23 07:45:49 CDT. --

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 g_settings_schema_get_value at gsettingsschema.c:640
 #3 g_settings_schema_key_init at gsettingsschema.c:805
 #4 g_settings_get_enum at gsettings.c:1121
 #5 do_config_power_action at csd-media-keys-manager.c:1362
 #6 do_action at csd-media-keys-manager.c:1668
 #7 csd_media_keys_manager_handle_cinnamon_keybinding at csd-media-keys-manager.c:1143
 #8 handle_method_call at csd-media-keys-manager.c:1176
 #9 call_in_idle_cb at gdbusconnection.c:4868
 #14 gtk_main at gtkmain.c:1158

Comment 1 leandercarey 2015-05-24 01:15:43 UTC
Created attachment 1029127 [details]
File: backtrace

Comment 2 leandercarey 2015-05-24 01:15:48 UTC
Created attachment 1029128 [details]
File: cgroup

Comment 3 leandercarey 2015-05-24 01:15:50 UTC
Created attachment 1029129 [details]
File: core_backtrace

Comment 4 leandercarey 2015-05-24 01:15:55 UTC
Created attachment 1029130 [details]
File: dso_list

Comment 5 leandercarey 2015-05-24 01:15:57 UTC
Created attachment 1029131 [details]
File: environ

Comment 6 leandercarey 2015-05-24 01:15:58 UTC
Created attachment 1029132 [details]
File: limits

Comment 7 leandercarey 2015-05-24 01:16:14 UTC
Created attachment 1029133 [details]
File: maps

Comment 8 leandercarey 2015-05-24 01:16:16 UTC
Created attachment 1029134 [details]
File: open_fds

Comment 9 leandercarey 2015-05-24 01:16:19 UTC
Created attachment 1029135 [details]
File: proc_pid_status

Comment 10 leigh scott 2015-05-24 06:34:07 UTC
I fixed this issue last night in git master

https://github.com/linuxmint/cinnamon-settings-daemon/commit/f77d0ffb4ea88139faecb530ae1402de7533702c

cimmanon-settings-daemon-2.6.1 will fix this once it's released.

Comment 11 Fedora Update System 2015-05-28 19:49:19 UTC
muffin-2.6.0-1.fc21, cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, cinnamon-desktop-2.6.3-1.fc21, nemo-2.6.5-1.fc21, cinnamon-2.6.3-1.fc21, cinnamon-session-2.6.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-8650/nemo-2.6.5-1.fc21,muffin-2.6.0-1.fc21,cjs-2.6.0-1.fc21,cinnamon-translations-2.6.1-1.fc21,cinnamon-settings-daemon-2.6.1-1.fc21,cinnamon-session-2.6.1-1.fc21,cinnamon-screensaver-2.6.1-1.fc21,cinnamon-menus-2.6.0-1.fc21,cinnamon-desktop-2.6.3-1.fc21,cinnamon-control-center-2.6.0-2.fc21,cinnamon-2.6.3-1.fc21

Comment 12 Fedora Update System 2015-05-28 19:49:52 UTC
cjs-2.6.0-1.fc22, muffin-2.6.0-1.fc22, cinnamon-menus-2.6.0-1.fc22, cinnamon-control-center-2.6.0-2.fc22, cinnamon-translations-2.6.1-1.fc22, cinnamon-settings-daemon-2.6.1-1.fc22, cinnamon-session-2.6.1-1.fc22, cinnamon-screensaver-2.6.1-1.fc22, cinnamon-desktop-2.6.3-1.fc22, nemo-2.6.5-1.fc22, cinnamon-2.6.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-8628/nemo-2.6.5-1.fc22,muffin-2.6.0-1.fc22,cjs-2.6.0-1.fc22,cinnamon-translations-2.6.1-1.fc22,cinnamon-settings-daemon-2.6.1-1.fc22,cinnamon-session-2.6.1-1.fc22,cinnamon-screensaver-2.6.1-1.fc22,cinnamon-menus-2.6.0-1.fc22,cinnamon-desktop-2.6.3-1.fc22,cinnamon-control-center-2.6.0-2.fc22,cinnamon-2.6.3-1.fc22

Comment 13 Fedora Update System 2015-05-28 19:49:59 UTC
muffin-2.6.0-1.fc20, cjs-2.6.0-1.fc20, cinnamon-translations-2.6.1-1.fc20, cinnamon-menus-2.6.0-1.fc20, cinnamon-control-center-2.6.0-2.fc20, cinnamon-settings-daemon-2.6.1-1.fc20, cinnamon-session-2.6.1-1.fc20, cinnamon-screensaver-2.6.1-1.fc20, cinnamon-desktop-2.6.3-1.fc20, nemo-2.6.5-1.fc20, cinnamon-2.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2015-8666/nemo-2.6.5-1.fc20,muffin-2.6.0-1.fc20,cjs-2.6.0-1.fc20,cinnamon-translations-2.6.1-1.fc20,cinnamon-settings-daemon-2.6.1-1.fc20,cinnamon-session-2.6.1-1.fc20,cinnamon-screensaver-2.6.1-1.fc20,cinnamon-menus-2.6.0-1.fc20,cinnamon-desktop-2.6.3-1.fc20,cinnamon-control-center-2.6.0-2.fc20,cinnamon-2.6.3-1.fc20

Comment 14 leigh scott 2015-05-28 21:20:18 UTC
*** Bug 1226037 has been marked as a duplicate of this bug. ***

Comment 15 Fedora End Of Life 2015-05-29 13:50:57 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora Update System 2015-06-01 17:03:27 UTC
Package cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, muffin-2.6.1-1.fc21, cinnamon-desktop-2.6.4-2.fc21, cinnamon-2.6.6-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cjs-2.6.0-1.fc21 cinnamon-menus-2.6.0-1.fc21 cinnamon-control-center-2.6.0-2.fc21 cinnamon-translations-2.6.1-1.fc21 cinnamon-settings-daemon-2.6.1-1.fc21 cinnamon-screensaver-2.6.1-1.fc21 nemo-2.6.5-1.fc21 cinnamon-session-2.6.1-1.fc21 muffin-2.6.1-1.fc21 cinnamon-desktop-2.6.4-2.fc21 cinnamon-2.6.6-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8650/nemo-2.6.5-1.fc21,muffin-2.6.0-1.fc21,cjs-2.6.0-1.fc21,cinnamon-translations-2.6.1-1.fc21,cinnamon-settings-daemon-2.6.1-1.fc21,cinnamon-session-2.6.1-1.fc21,cinnamon-screensaver-2.6.1-1.fc21,cinnamon-menus-2.6.0-1.fc21,cinnamon-desktop-2.6.3-2.fc21,cinnamon-control-center-2.6.0-2.fc21,cinnamon-2.6.4-1.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-06-05 23:48:22 UTC
cjs-2.6.0-1.fc21, cinnamon-menus-2.6.0-1.fc21, cinnamon-control-center-2.6.0-2.fc21, cinnamon-translations-2.6.1-1.fc21, cinnamon-settings-daemon-2.6.1-1.fc21, cinnamon-screensaver-2.6.1-1.fc21, nemo-2.6.5-1.fc21, cinnamon-session-2.6.1-1.fc21, muffin-2.6.1-1.fc21, cinnamon-desktop-2.6.4-2.fc21, cinnamon-2.6.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-05 23:56:09 UTC
cjs-2.6.0-1.fc22, cinnamon-menus-2.6.0-1.fc22, cinnamon-control-center-2.6.0-2.fc22, cinnamon-translations-2.6.1-1.fc22, cinnamon-settings-daemon-2.6.1-1.fc22, cinnamon-session-2.6.1-1.fc22, cinnamon-screensaver-2.6.1-1.fc22, cinnamon-desktop-2.6.4-2.fc22, cinnamon-2.6.6-1.fc22, nemo-2.6.5-1.fc22, muffin-2.6.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-06 00:07:54 UTC
cjs-2.6.0-1.fc20, cinnamon-translations-2.6.1-1.fc20, cinnamon-menus-2.6.0-1.fc20, cinnamon-control-center-2.6.0-2.fc20, cinnamon-settings-daemon-2.6.1-1.fc20, cinnamon-session-2.6.1-1.fc20, cinnamon-screensaver-2.6.1-1.fc20, nemo-2.6.5-1.fc20, muffin-2.6.1-1.fc20, cinnamon-desktop-2.6.4-2.fc20, cinnamon-2.6.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.